## cccc 3.2.0+dfsg1

=== Makefile ===
# Top level makefile for CCCC

AR ?= ar
CPP ?= cpp -E
CC ?= gcc
CCC ?= g++
LD ?= g++

# This distribution is a compilation of code, some of which comes from
# different sources, some of which builds different (e.g. Win32 DLL) kinds
# of targets.
# I would like to make it less inconsistent, but the first stage is to make 
# it work...

DOX	= doxygen
CCCC	= ./cccc/cccc
CCCOPTS	= --lang=c++
CCCCSRC = ./cccc/*.cc ./cccc/*.h
GENSRC	= cccc/CLexer.cpp \
          cccc/CLexer.h \
          cccc/CParser.cpp \
          cccc/CParser.h \
          cccc/Ctokens.h \
          cccc/JLexer.cpp \
          cccc/JLexer.h \
          cccc/JParser.cpp \
          cccc/JParser.h \
          cccc/Jtokens.h \
          cccc/cccc.cpp \
          cccc/java.cpp \
          cccc/parser.dlg

.PHONY : all mini pccts cccc test

all : mini cccc test

mini :
	$(MAKE) DEBUG=$(DEBUG) -C pccts antlr dlg || exit $$?

pccts :
	$(MAKE) DEBUG=$(DEBUG) -C pccts $@ || exit $$?

cccc :	mini
	$(MAKE) DEBUG=$(DEBUG) -C cccc -f posixgcc.mak $@ || exit $$?

.NOTPARALLEL:	cccc test
test :
	cd test && $(MAKE) -f posix.mak || exit $$?

DOCS	= doxygen
METRICS	= ccccout
TESTOBJ = test/*.xml test/*.html test/*.db

$(METRICS)/.keep_dir :
	mkdir -p $(dir $@)
	touch $@

metrics : $(METRICS)/.keep_dir cccc
	rm -rf $(METRICS)/*.html
	@echo "Input files are: $(CCCCSRC)"
	$(CCCC) $(CCCOPTS) --outdir=$(METRICS)/ $(CCCCSRC)
	@echo "Metrics output now in $(METRICS)/cccc.html"

$(DOCS)/.keep_dir :
	mkdir -p $(dir $@)
	touch $@

docs :	Doxyfile.html_cfg $(CCCCSRC) $(DOCS)/.keep_dir
	rm -rf $(DOCS)/html
	$(DOX) Doxyfile.html_cfg
	@echo "API docs now in $(DOCS)/html"

clean	:
	rm -rf cccc/*.o cccc/cccc $(GENSRC) pccts/bin/*

reallyclean : clean
	rm -rf ccccout/* doxygen/html test/.cccc $(TESTOBJ)
	make -C pccts clean

clobber	: reallyclean
	make -C pccts scrub

## cccc 3.1.4

=== debian/changelog ===
cccc (1:3.1.4-9) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 10:52:18 +0000

cccc (1:3.1.4-8) unstable; urgency=medium

  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.
  * Build with large file support.
  * Upgrade to debhelper v9.
  * Policy version 3.9.6: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jan 2016 16:58:05 +0000

cccc (1:3.1.4-7) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Adjust package description and cccc(1) to stop implying that metrics are
    direct measures of quality (closes: #643799).

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Sep 2014 23:40:07 +0100

cccc (1:3.1.4-6) unstable; urgency=medium

  * Switch to git; add Vcs-* fields.
  * Policy version 3.9.5: no changes required.
  * Add a reference to /usr/share/common-licenses/GPL-2 to debian/copyright,
    and remove outdated Lintian override.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2014 12:48:40 +0000

cccc (1:3.1.4-5) unstable; urgency=low

  * Adjust debian/watch to remove epoch from Debian version.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Sep 2012 01:54:52 +0100

cccc (1:3.1.4-4) unstable; urgency=low

  * Convert debian/copyright to copyright-format 1.0.
  * Use dpkg-buildflags to enable hardening options.

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Jun 2012 01:04:39 +0100

cccc (1:3.1.4-3) unstable; urgency=low

  * Avoid dependent base class scope lookups, which no longer work in G++
    4.7 (closes: #667133).

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Apr 2012 01:42:33 +0100

cccc (1:3.1.4-2) unstable; urgency=low

  * Add cross-compiling support.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 13:01:30 +0000

cccc (1:3.1.4-1) unstable; urgency=low

  * New upstream release.
    - Released under GPL v2 or later.
  * Upgrade to debhelper v7.
  * Use ${misc:Depends}.
  * Convert to source format 3.0 (quilt).
  * All patches are now maintained separately and tagged according to DEP-3.
  * Add a Homepage field.
  * Add a watch file.
  * Switch to machine-readable copyright format (current DEP-5 draft).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2010 02:34:31 +0000

cccc (3.pre84-2) unstable; urgency=low

  * Fix build with g++ 4.1 (thanks, Martin Michlmayr; closes: #356161).

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 May 2006 10:20:03 +0100

cccc (3.pre84-1) unstable; urgency=low

  * New upstream release.
    - Works around previous prn14 test problems, so I've removed my
      temporary hack (closes: #202797).
  * Fix various compiler errors when using g++ 4.0 (thanks, Andreas Jochens;
    closes: #258560, #315117).
  * Upgrade to debhelper v4.

 -- Colin Watson <cjwatson@debian.org>  Sun,  7 Aug 2005 15:12:12 +0100

cccc (3.pre81-2) unstable; urgency=low

  * Ignore errors from prn14 test for now, following upstream's advice
    (downgrades #202797 to normal).
  * Use 'diff -u' in tests to get more context.
  * Remove test/*.xml in 'debian/rules clean'.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Aug 2003 04:34:05 +0100

cccc (3.pre81-1) unstable; urgency=low

  * New upstream release. May fix test problems on hppa and s390.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Aug 2003 00:10:40 +0100

cccc (3.pre63-3) unstable; urgency=low

  * Compile with -Wno-deprecated. These warnings are currently unimportant
    for Debian.
  * Set DEBUG=true so that we compile with -g.
  * Fix implicit typenames in cccc_tbl.cc and cccc_tbl.h (closes: #196782).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2003 14:19:13 +0100

cccc (3.pre63-2) unstable; urgency=low

  * Build with g++ 3.2.
  * Override bogus lintian error (cccc isn't licensed under the GPL, the
    copyright file merely mentions it).

 -- Colin Watson <cjwatson@debian.org>  Wed,  8 Jan 2003 20:27:20 +0000

cccc (3.pre63-1) unstable; urgency=low

  * Initial release (closes: #130632).
  * Build with the Debian pccts package rather than the included pccts.
  * Avoid linking statically.
  * Add a cccc(1) man page.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Sep 2002 17:36:19 +0100

=== debian/control ===
Source: cccc
Section: devel
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.6
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), pccts
Homepage: http://cccc.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/cccc.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/cccc.git/

Package: cccc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C and C++ Code Counter, a software metrics tool
 CCCC analyses and reports measurements of source code in C, C++, and Java.
 The metrics supported include lines of code, McCabe's Cyclomatic
 Complexity, and measures of module fan-out/fan-in.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CCC=$(DEB_HOST_GNU_TYPE)-g++ LD=$(DEB_HOST_GNU_TYPE)-g++
endif

# We have to duplicate a little from the upstream build system.  See
# cccc/posixgcc.mak.
export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND := -D_FILE_OFFSET_BITS=64
export DEB_CFLAGS_MAINT_APPEND := -Wno-deprecated -Wall
include /usr/share/dpkg/buildflags.mk
CFLAGS := $(CPPFLAGS) $(CFLAGS)
CFLAGS += -c -I/usr/include/pccts -x c++
buildflags := CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_build:
	$(MAKE) -C cccc -f posixgcc.mak $(buildflags) \
		PCCTS_H=/usr/include/pccts PCCTS_BIN=/usr/bin $(CROSS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C test -f posix.mak
endif

override_dh_auto_clean:
	$(MAKE) -C cccc -f posixgcc.mak clean
	-rmdir test/.cccc

override_dh_auto_install:
	# The default 'make install' uses su!

override_dh_installdocs:
	dh_installdocs 'cccc/CCCC User Guide.html'

=== debian/watch ===
version=3
opts=uversionmangle=s/pre/~pre/,dversionmangle=s/^\d+:// \
  http://sf.net/cccc/cccc-(.+)\.tar\.gz

## cccc 3.1.4+dfsg1

=== debian/changelog ===
cccc (1:3.1.4+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Colin Watson ]
  * Repack original source tarball without test/prn13.* and test/prn14.* due
    to non-DFSG-free licences (closes: #992093).

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Aug 2021 15:59:46 +0100

cccc (1:3.1.4-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Aug 2019 14:40:10 +0100

cccc (1:3.1.4-11) unstable; urgency=medium

  * Policy version 4.2.1:
    - Use HTTPS form of copyright-format URL.
    - Set Rules-Requires-Root: no.
  * Fix implicit integer cast when parsing filenames (thanks, Erwan Legrand;
    LP: #376859).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Sep 2018 10:35:41 +0100

cccc (1:3.1.4-10) unstable; urgency=medium

  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 18:44:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), pccts
+Standards-Version: 4.2.1
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper-compat (= 12), pccts
 Homepage: http://cccc.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/cccc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/cccc.git/
+Vcs-Git: https://salsa.debian.org/debian/cccc.git
+Vcs-Browser: https://salsa.debian.org/debian/cccc
+Rules-Requires-Root: no
 
 Package: cccc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 %:
 	dh $@
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	CROSS :=

=== debian/watch ===
version=3
opts=uversionmangle=s/pre/~pre/,dversionmangle=s/^\d+://;s/\+dfsg\d*$// \
  https://sf.net/cccc/cccc-(.+)\.tar\.gz

## cccc 3.2.0+dfsg1

=== debian/changelog ===
cccc (1:3.2.0+dfsg1-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Apply X-Style: black.
  * Add dependency on PCCTS-generated files for compiling ccccmain.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Dec 2024 13:44:38 +0000

cccc (1:3.2.0+dfsg1-1) unstable; urgency=medium

  [ Colin Watson ]
  * Optimize a debhelper override slightly.
  * Switch to new upstream location; new upstream release (LP: #1916357).
  * Override some Lintian source-is-missing false positives.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper
      now does this.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Nov 2022 23:09:29 +0000

=== debian/control ===
Source: cccc
Section: devel
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 4.2.1
Build-Depends:
 debhelper-compat (= 13),
 pccts,
Homepage: https://github.com/sarnold/cccc
Vcs-Git: https://salsa.debian.org/debian/cccc.git
Vcs-Browser: https://salsa.debian.org/debian/cccc
Rules-Requires-Root: no
X-Style: black

Package: cccc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C and C++ Code Counter, a software metrics tool
 CCCC analyses and reports measurements of source code in C, C++, and Java.
 The metrics supported include lines of code, McCabe's Cyclomatic
 Complexity, and measures of module fan-out/fan-in.

=== debian/watch ===
version=4
opts="searchmode=plain, filenamemangle=s%(\d[\d.]*)%@PACKAGE@-$1.tar.gz%, dversionmangle=s/^\d+://;s/\+dfsg\d*$//, repacksuffix=+dfsg1" \
    https://api.github.com/repos/sarnold/cccc/releases \
    https://api.github.com/repos/sarnold/cccc/tarball/@ANY_VERSION@
